GDB (xrefs)

Classes | Functions
gdb.command.frame_filters Namespace Reference

## Classes
class | DisableFrameFilter
class | EnableFrameFilter
class | InfoFrameFilter
class | SetFilterPrefixCmd
class | SetFrameFilterPriority
class | ShowFilterPrefixCmd
class | ShowFrameFilterPriority

## Functions
def | _enable_parse_arg (cmd_name, arg)
def | _do_enable_frame_filter (command_tuple, flag)
def | _complete_frame_filter_list (text, word, all_flag)
def | _complete_frame_filter_name (word, printer_dict)

## Function Documentation

## ◆ _complete_frame_filter_list()

def gdb.command.frame_filters._complete_frame_filter_list | ( |  | text,
|  |  | word,
|  |  | all_flag
| ) |  |
| private

    Worker for frame filter dictionary name completion.

    Arguments:
        text: The full text of the command line.
        word: The most recent word of the command line.
        all_flag: Whether to include the word "all" in completion.

    Returns:
        A list of suggested frame filter dictionary name completions
        from text/word analysis.  This list can be empty when there
        are no suggestions for completion.

Definition at line 150 of file frame_filters.py.

Referenced by gdb.command.frame_filters.EnableFrameFilter.complete(), gdb.command.frame_filters.DisableFrameFilter.complete(), gdb.command.frame_filters.SetFrameFilterPriority.complete(), gdb.command.frame_filters.ShowFrameFilterPriority.complete(), and gdb.command.frame_filters.InfoFrameFilter.invoke().

## ◆ _complete_frame_filter_name()

def gdb.command.frame_filters._complete_frame_filter_name | ( |  | word,
|  |  | printer_dict
| ) |  |
| private

    Worker for frame filter name completion.

    Arguments:

        word: The most recent word of the command line.

        printer_dict: The frame filter dictionary to search for frame
        filter name completions.

        Returns: A list of suggested frame filter name completions
        from word analysis of the frame filter dictionary.  This list
        can be empty when there are no suggestions for completion.

Definition at line 187 of file frame_filters.py.

Referenced by gdb.command.frame_filters.EnableFrameFilter.complete(), gdb.command.frame_filters.DisableFrameFilter.complete(), gdb.command.frame_filters.SetFrameFilterPriority.complete(), gdb.command.frame_filters.ShowFrameFilterPriority.complete(), and gdb.command.frame_filters.InfoFrameFilter.invoke().

## ◆ _do_enable_frame_filter()

def gdb.command.frame_filters._do_enable_frame_filter | ( |  | command_tuple,
|  |  | flag
| ) |  |
| private

    Worker for enabling/disabling frame_filters.

    Arguments:
        command_type: A tuple with the first element being the
                      frame filter dictionary, and the second being
                      the frame filter name.
        flag: True for Enable, False for Disable.

Definition at line 124 of file frame_filters.py.

References gdb.frames.return_list(), and gdb.frames.set_enabled().

Referenced by gdb.command.frame_filters.InfoFrameFilter.invoke(), gdb.command.frame_filters.EnableFrameFilter.invoke(), and gdb.command.frame_filters.DisableFrameFilter.invoke().

## ◆ _enable_parse_arg()

def gdb.command.frame_filters._enable_parse_arg | ( |  | cmd_name,
|  |  | arg
| ) |  |
| private

    Internal worker function to take an argument from
    enable/disable and return a tuple of arguments.

    Arguments:
        cmd_name: Name of the command invoking this function.
        args: The argument as a string.

    Returns:
        A tuple containing the dictionary, and the argument, or just
        the dictionary in the case of "all".

Definition at line 100 of file frame_filters.py.

Referenced by gdb.command.frame_filters.InfoFrameFilter.invoke(), gdb.command.frame_filters.EnableFrameFilter.invoke(), and gdb.command.frame_filters.DisableFrameFilter.invoke().